]> Git Repo - linux.git/blob - drivers/gpu/drm/ci/igt_runner.sh
net: wan: Add framer framework support
[linux.git] / drivers / gpu / drm / ci / igt_runner.sh
1 #!/bin/sh
2 # SPDX-License-Identifier: MIT
3
4 set -ex
5
6 export IGT_FORCE_DRIVER=${DRIVER_NAME}
7 export PATH=$PATH:/igt/bin/
8 export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/igt/lib/aarch64-linux-gnu/:/igt/lib/x86_64-linux-gnu:/igt/lib:/igt/lib64
9
10 # Uncomment the below to debug problems with driver probing
11 : '
12 ls -l /dev/dri/
13 cat /sys/kernel/debug/devices_deferred
14 cat /sys/kernel/debug/device_component/*
15 '
16
17 # Dump drm state to confirm that kernel was able to find a connected display:
18 # TODO this path might not exist for all drivers.. maybe run modetest instead?
19 set +e
20 cat /sys/kernel/debug/dri/*/state
21 set -e
22
23 case "$DRIVER_NAME" in
24     rockchip|mediatek|meson)
25         export IGT_FORCE_DRIVER="panfrost"
26         ;;
27     amdgpu)
28         # Cannot use HWCI_KERNEL_MODULES as at that point we don't have the module in /lib
29         mv /install/modules/lib/modules/* /lib/modules/.
30         modprobe amdgpu
31         ;;
32 esac
33
34 if [ -e "/install/xfails/$DRIVER_NAME-$GPU_VERSION-skips.txt" ]; then
35     IGT_SKIPS="--skips /install/xfails/$DRIVER_NAME-$GPU_VERSION-skips.txt"
36 fi
37
38 if [ -e "/install/xfails/$DRIVER_NAME-$GPU_VERSION-flakes.txt" ]; then
39     IGT_FLAKES="--flakes /install/xfails/$DRIVER_NAME-$GPU_VERSION-flakes.txt"
40 fi
41
42 if [ -e "/install/xfails/$DRIVER_NAME-$GPU_VERSION-fails.txt" ]; then
43     IGT_FAILS="--baseline /install/xfails/$DRIVER_NAME-$GPU_VERSION-fails.txt"
44 fi
45
46 if [ "`uname -m`" = "aarch64" ]; then
47     ARCH="arm64"
48 elif [ "`uname -m`" = "armv7l" ]; then
49     ARCH="arm"
50 else
51     ARCH="x86_64"
52 fi
53
54 curl -L --retry 4 -f --retry-all-errors --retry-delay 60 -s ${FDO_HTTP_CACHE_URI:-}$PIPELINE_ARTIFACTS_BASE/$ARCH/igt.tar.gz | tar --zstd -v -x -C /
55
56
57 # If the job is parallel at the gitab job level, take the corresponding fraction
58 # of the caselist.
59 if [ -n "$CI_NODE_INDEX" ]; then
60     sed -ni $CI_NODE_INDEX~$CI_NODE_TOTAL"p" /install/testlist.txt
61 fi
62
63 # core_getversion checks if the driver is loaded and probed correctly
64 # so run it in all shards
65 if ! grep -q "core_getversion" /install/testlist.txt; then
66     # Add the line to the file
67     echo "core_getversion" >> /install/testlist.txt
68 fi
69
70 set +e
71 igt-runner \
72     run \
73     --igt-folder /igt/libexec/igt-gpu-tools \
74     --caselist /install/testlist.txt \
75     --output /results \
76     $IGT_SKIPS \
77     $IGT_FLAKES \
78     $IGT_FAILS \
79     --jobs 1
80 ret=$?
81 set -e
82
83 deqp-runner junit \
84    --testsuite IGT \
85    --results /results/failures.csv \
86    --output /results/junit.xml \
87    --limit 50 \
88    --template "See https://$CI_PROJECT_ROOT_NAMESPACE.pages.freedesktop.org/-/$CI_PROJECT_NAME/-/jobs/$CI_JOB_ID/artifacts/results/{{testcase}}.xml"
89
90 # Store the results also in the simpler format used by the runner in ChromeOS CI
91 #sed -r 's/(dmesg-warn|pass)/success/g' /results/results.txt > /results/results_simple.txt
92
93 cd $oldpath
94 exit $ret
This page took 0.03784 seconds and 4 git commands to generate.